# Commands

Through this chapter, you can learn about the built-in commands of Modern.js Doc and how to use them.

## modern dev

The `modern dev` command is used to start a local development server, providing a development environment for document preview and debugging.

```bash
Usage: modern dev [options]

Options:
   -c --config <config> specify config file path, which can be a relative path or an absolute path
   -h, --help show command help
```

## modern build

The `modern build` command is used to build documentation site for production.

```bash
Usage: modern build [options]

Options:
   -c --config <config> specify config file path, which can be a relative path or an absolute path
   -h, --help show command help
```

## modern serve

The `modern serve` command is used to preview the output files of the `modern build` command locally.

```bash
Usage: modern serve [options]

Options:
   -c --config <config> specify config file path, which can be a relative path or an absolute path
   --port <port> specify port number
   --host <host> specify host
   -h, --help show command help
```
